<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<link rel="apple-touch-icon-precomposed" href="<?php echo RC_PLUGIN_FOLDER; ?>/resources/rckit/<?php echo RCUtilities::$settings->general->RCkitVersion; ?>/icon-web-app.png">
		<title>RapidCart Pro Admin | <?php echo $title; ?></title>
		<!-- jQuery -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/<?php echo RCUtilities::$settings->general->jQueryVersion; ?>/jquery.min.js"></script>
		<!-- UIkit Core -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/uikit.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/uikit<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Autocomplete -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/autocomplete.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/autocomplete<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Datepicker -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/datepicker.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/datepicker<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Form Select -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/form-select.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/form-select<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Notify -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/notify.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/notify<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Pagination -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/pagination.min.js"></script>
		<!-- UIkit Sticky -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/sticky.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/sticky<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- UIkit Tooltip -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/js/components/tooltip.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/uikit/<?php echo RCUtilities::$settings->general->UIkitVersion; ?>/css/components/tooltip<?php echo $style; ?>.min.css" rel="stylesheet">
		<!-- Chart.js -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/1.1.1/Chart.js"></script>
		<!-- RCkit -->
		<script src="<?php echo RC_PLUGIN_FOLDER; ?>/resources/rckit/<?php echo RCUtilities::$settings->general->RCkitVersion; ?>/rckit.js"></script>
		<link href="<?php echo RC_PLUGIN_FOLDER; ?>/resources/rckit/<?php echo RCUtilities::$settings->general->RCkitVersion; ?>/rckit.css" rel="stylesheet">
		<script>
			RCkit.pageURL = '<?php echo RCUtilities::$settings->general->pageURL; ?>';
		</script>
		<?php if (RCUtilities::$settings->admin->getPushNotifications) { ?>
			<!-- OneSignal -->
			<link rel="manifest" href="<?php echo RC_PLUGIN_FOLDER; ?>/resources/onesignal/manifest.json">
			<script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async></script>
			<script>
				
				var OneSignal = OneSignal || [];
				
				OneSignal.push(['init', {
					
					appId: '76de3f9c-55db-4891-b110-792deb83a076',
					safari_web_id: 'web.onesignal.auto.2fc72fe0-a0df-475b-ad9a-b2dac840a493',
					autoRegister: false,
					welcomeNotification: {
						
						title: 'RapidCart Pro',
						message: '<?php echo addslashes(RCUtilities::$localization->admin->notificationsWelcomeMessage); ?>'
						
					}
				
				}]);
	
				OneSignal.push(function () {
					
					// not supported
					if (!OneSignal.isPushNotificationsSupported()) {
						
						$('.rc-admin-notifications-button').hide();
						
						return;
						
					}
					
					OneSignal.getNotificationPermission(function (permission) {
						
						switch (permission) {
							
							case 'denied':
							
								$('.rc-admin-notifications-button').removeClass('uk-hidden');
								$('.rc-admin-blocked-notifications-warning').removeClass('uk-hidden');
							
							break;
							
							case 'granted':
							break;
							
							case 'default':
							
								$('.rc-admin-notifications-button').removeClass('uk-hidden');
								
								$('.rc-admin-notifications-button').click(function () {
									
									OneSignal.push(['sendTag', 'RCPNID', '<?php echo md5('RCPNID' . RCUtilities::$settings->general->pageURL); ?>']);
									OneSignal.push(['registerForPushNotifications']);
									
									event.preventDefault();
									
								});
								
							break;
							
						}
						
					});
					
				});
				
			</script>
		<?php } ?>
	</head>
	<body id="rc-admin">
		<div id="rc-admin-toolbar" data-uk-sticky>
			<nav class="uk-navbar">
				<div class="uk-navbar-brand"><a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => (RCUtilities::$settings->admin->firstPage == 'stats') ? 'stats': 'orders'), TRUE); ?>"><img src="<?php echo RC_PLUGIN_FOLDER; ?>/resources/rckit/<?php echo RCUtilities::$settings->general->RCkitVersion; ?>/icon.png" width="25" height="25"></a></div>
			<!-- Large devices -->
				<ul class="uk-navbar-nav uk-hidden-small">
					<li <?php echo (($section == 'orders') ? 'class="uk-active"' : ''); ?>>
						<a class="uk-navbar-nav-subtitle uk-text-center" href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'orders'), TRUE); ?>">
							<?php if ($pendingOrdersCount > 0) { ?>
								<div class="uk-badge uk-badge-danger uk-badge-notification rc-toolbar-notification-badge"><?php echo $pendingOrdersCount; ?></div>
							<?php } ?>
							<i class="uk-icon-shopping-basket"></i>
							<div><?php echo RCUtilities::$localization->admin->toolbarOrders; ?></div>
						</a>
					</li>
					<li <?php echo (($section == 'products') ? 'class="uk-active"' : ''); ?>>
						<a class="uk-navbar-nav-subtitle uk-text-center" href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'products'), TRUE); ?>">
							<?php if ($lowProductsCount > 0) { ?>
								<div class="uk-badge uk-badge-danger uk-badge-notification"><?php echo $lowProductsCount; ?></div>
							<?php } ?>
							<i class="uk-icon-cubes"></i>
							<div><?php echo RCUtilities::$localization->admin->toolbarProducts; ?></div>
						</a>
					</li>
					<li <?php echo (($section == 'coupons') ? 'class="uk-active"' : ''); ?>><a class="uk-navbar-nav-subtitle uk-text-center" href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'coupons'), TRUE); ?>"><i class="uk-icon-tag"></i><div><?php echo RCUtilities::$localization->admin->toolbarCoupons; ?></div></a></li>
					<li <?php echo (($section == 'stats') ? 'class="uk-active"' : ''); ?>><a class="uk-navbar-nav-subtitle uk-text-center" href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'stats'), TRUE); ?>"><i class="uk-icon-line-chart"></i><div><?php echo RCUtilities::$localization->admin->toolbarStats; ?></div></a></li>
				</ul>
				<!-- Small devices -->
				<ul class="uk-navbar-nav uk-visible-small">
					<li <?php echo (($section == 'orders') ? 'class="uk-active"' : ''); ?>>
						<a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'orders'), TRUE); ?>">
							<?php if ($pendingOrdersCount > 0) { ?>
								<div class="uk-badge uk-badge-danger uk-badge-notification rc-toolbar-notification-badge"><?php echo $pendingOrdersCount; ?></div>
							<?php } ?>
							<i class="uk-icon-shopping-basket"></i>
						</a>
					</li>
					<li <?php echo (($section == 'products') ? 'class="uk-active"' : ''); ?>>
						<a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'products'), TRUE); ?>">
							<?php if ($lowProductsCount > 0) { ?>
								<div class="uk-badge uk-badge-danger uk-badge-notification"><?php echo $lowProductsCount; ?></div>
							<?php } ?>
							<i class="uk-icon-cubes"></i>
						</a>
					</li>
					<li <?php echo (($section == 'coupons') ? 'class="uk-active"' : ''); ?>><a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'coupons'), TRUE); ?>"><i class="uk-icon-tag"></i></a></li>
					<li <?php echo (($section == 'stats') ? 'class="uk-active"' : ''); ?>><a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'stats'), TRUE); ?>"><i class="uk-icon-line-chart"></i></a></li>
				</ul>
				<div class="uk-navbar-flip">
					<!-- Large devices -->
					<ul class="uk-navbar-nav uk-hidden-small">
						<!-- Notifications -->
						<li class="uk-hidden rc-admin-notifications-button">
							<a class="uk-navbar-nav-subtitle uk-text-center" href="/">
								<div class="uk-badge uk-badge-danger uk-badge-notification uk-hidden rc-toolbar-notification-badge rc-admin-blocked-notifications-warning" id="rc-admin-blocked-notifications-warning"><i class="uk-icon-exclamation-triangle"></i></div>
								<i class="uk-icon-bell"></i><div><?php echo RCUtilities::$localization->admin->toolbarNotifications; ?></div>
							</a>
						</li>
						<!-- Logout -->
						<li><a class="uk-navbar-nav-subtitle uk-text-center" href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'logout'), TRUE); ?>"><i class="uk-icon-lock"></i><div><?php echo RCUtilities::$localization->admin->toolbarLogout; ?></div></a></li>
					</ul>
					<!-- Small devices -->
					<ul class="uk-navbar-nav uk-visible-small">
						<!-- Notifications -->
						<li class="uk-hidden rc-admin-notifications-button">
							<a href="/">
								<div class="uk-badge uk-badge-danger uk-badge-notification uk-hidden rc-toolbar-notification-badge rc-admin-blocked-notifications-warning"><i class="uk-icon-exclamation-triangle"></i></div>
								<i class="uk-icon-bell"></i>
							</a>
						</li>
						<!-- Logout -->
						<li><a href="<?php echo RCUtilities::getURL(array(0 => 'admin', 1 => 'logout'), TRUE); ?>"><i class="uk-icon-lock"></i></a></li>
					</ul>		
				</div>		
			</nav>
		</div>
		<?php echo $body; ?>
	</body>
</html>