<form class="uk-form uk-margin-bottom" onsubmit="RCkit.filterAdminProducts(this); return false;" data-rc-admin-products-sort="<?php echo $sort; ?>">
	<div class="uk-grid uk-grid-small" data-uk-grid-margin>
		<div class="uk-width-1-1 uk-width-medium-2-3">
			<div class="uk-form-icon uk-width-1-1">
				<i class="uk-icon-search"></i>
				<input class="uk-width-1-1 uk-form-large" id="rc-admin-products-search" type="text" name="search" placeholder="<?php echo RCUtilities::$localization->admin->productsSearch; ?>" value="<?php echo $search; ?>">
			</div>
		</div>
		<div class="uk-width-1-2 uk-width-medium-1-6">
			<div id="rc-admin-orders-status">
				<div class="uk-button-group uk-flex uk-flex-space-between" id="rc-admin-orders-status-button">
					<button class="uk-button uk-button-large uk-flex-item-auto uk-text-left" type="button" onclick="RCkit.filterAdminProducts(this);" data-rc-admin-products-sort="<?php echo $sort; ?>">
						<?php if ($sort == 'name') { ?>
							<i class="uk-icon-sort-alpha-asc uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->productsSortByName; ?>
						<?php } else { ?>
							<i class="uk-icon-sort-numeric-asc uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->productsSortByQuantity; ?>
						<?php } ?>
					</button>
					<div data-uk-dropdown="{remaintime:250,justify:'#rc-admin-orders-status-button'}">
						<button class="uk-button uk-button-large"><i class="uk-icon-caret-down"></i></button>
						<div class="uk-dropdown uk-dropdown-small uk-dropdown-bottom">
							<ul class="uk-nav uk-nav-dropdown">
								<li onclick="RCkit.filterAdminProducts(this);" data-rc-admin-products-sort="name"><a href="#"><i class="uk-icon-sort-alpha-asc uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->productsSortByName; ?></a></li>
								<li onclick="RCkit.filterAdminProducts(this);" data-rc-admin-products-sort="quantity"><a href="#"><i class="uk-icon-check uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->productsSortByQuantity; ?></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="uk-width-1-2 uk-width-medium-1-6">
			<button id="rc-admin-products-update-button" type="button" class="uk-button uk-button-large uk-button-danger uk-width-1-1" onclick="$('#rc-admin-products-form').submit();" disabled="disabled"><i class="uk-icon-save"></i> <?php echo RCUtilities::$localization->admin->productsUpdate; ?></button>
		</div>
	</div>
</form>
<?php if ($count == 0) { ?>
	<h2 class="uk-text-center"><?php echo RCUtilities::$localization->admin->noProductsError; ?></h2>
<?php } else { ?>
	<form class="uk-form" id="rc-admin-products-form" method="post">
		<table class="uk-table uk-table-hover uk-margin-top-remove">
			<tbody>
				<?php foreach ($products as $i => $product) { ?>
					<tr class="uk-table-middle">
						<td width="1">
							<?php if ($product->quantity <= 5) { ?>
								<i class="uk-icon-exclamation-triangle uk-text-danger"></i>
							<?php } else { ?>
								<i class="uk-icon-check uk-text-success"></i>
							<?php } ?>
						</td>
						<td>
							<div class="uk-text-bold"><?php echo $product->name; ?></div>
							<?php echo $product->version; ?>
						</td>
						<td class="uk-text-center uk-hidden-small"><?php echo $product->SKU; ?></td>
						<td width="1">
							<input type="hidden" name="rc-admin-products[<?php echo $i; ?>][SKU]" value="<?php echo md5($product->SKU); ?>">
							<input type="number" name="rc-admin-products[<?php echo $i; ?>][quantity]" class="uk-text-right <?php echo (($product->quantity <= 5) ? 'uk-form-danger' : ''); ?> rc-input-3-digits-size" value="<?php echo $product->quantity; ?>" min="0" onchange="RCkit.enableAdminProductsUpdateButton();" <?php echo (($authType != 'write') ? 'readonly="readonly"' : ''); ?>>
						</td>
					</tr>
				<?php } ?>
			</tbody>
		</table>
	</form>
	<?php if ($count > 20) { ?>
		<ul class="uk-pagination rc-admin-products-pagination" data-rc-pagination="{currentPage:<?php echo $page - 1; ?>,items:<?php echo $count; ?>,itemsOnPage:20}"></ul>
	<?php } ?>
<?php } ?>