<div class="uk-grid uk-grid-width-1-<?php echo ($stats->trendsThisYearHide ? 2 : 3); ?> uk-grid-width-medium-1-<?php echo ($stats->trendsThisYearHide ? 2 : 3); ?> uk-margin-large-bottom uk-margin-top uk-grid-small" data-uk-grid-margin>
	<div class="uk-width-1-1 uk-text-center"><h2><i class="uk-icon-line-chart"></i> <?php echo RCUtilities::$localization->admin->statsTrends; ?></h2></div>
	<div>
		<div class="uk-panel uk-panel-box uk-panel-box uk-text-center">
			<div class="uk-hidden-small">
				<div class="uk-text-muted"><?php echo RCUtilities::$localization->admin->statsTrendsToday; ?></div>
				<h1 class="uk-margin-remove <?php echo (($stats->trendsTodayPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsTodayPercentage, TRUE, FALSE); ?></h1>
			</div>
			<div class="uk-visible-small">
				<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->statsTrendsToday; ?></div>
				<h2 class="uk-margin-remove <?php echo (($stats->trendsTodayPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsTodayPercentage, TRUE, FALSE); ?></h2>
			</div>
			<div style="height: 100px; margin: 0px -20px -20px -26px;" class="uk-hidden-small"><canvas id="rc-admin-stats-trends-today-large"></canvas></div>
			<div style="height: 50px; margin: 0px -20px -20px -26px;" class="uk-visible-small"><canvas id="rc-admin-stats-trends-today-small"></canvas></div>
		</div>
		<script>
			
			var dataTrendsToday = {
				
				labels: [
					
					<?php
						
						foreach (array_reverse($stats->trendsToday) as $day) {
							
							echo '\'\',';
							
						}
						
					?>
					
				],
				datasets: [

					{

						fillColor: 'rgba(151, 187, 205, 0.5)',
						strokeColor: 'rgba(151, 187, 205, 1)',
						data: [
							
							<?php
								
								foreach (array_reverse($stats->trendsToday) as $day) {
									
									echo $day->Total . ',';
									
								}
								
							?>
							
						]

					}
				]
				
			};

			var optionsTrendsToday = {
				
				responsive: true,
				scaleShowLabels: false,
				scaleLineColor : 'rgba(255, 255, 255, 0)',
				scaleFontSize: 0,
				scaleFontColor: 'rgba(255, 255, 255, 0)',
				scaleShowGridLines: false,
				pointDot: false,
				showTooltips: false,
				maintainAspectRatio: false,
				scaleBeginAtZero: true
				
			};
			
			new Chart($("#rc-admin-stats-trends-today-small").get(0).getContext("2d")).Line(dataTrendsToday, optionsTrendsToday);
			new Chart($("#rc-admin-stats-trends-today-large").get(0).getContext("2d")).Line(dataTrendsToday, optionsTrendsToday);
			
		</script>
	</div>
	<div>
		<div class="uk-panel uk-panel-box uk-panel-box uk-text-center">
			<div class="uk-hidden-small">
				<div class="uk-text-muted"><?php echo RCUtilities::$localization->admin->statsTrendsThisMonth; ?></div>
				<h1 class="uk-margin-remove <?php echo (($stats->trendsThisMonthPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsThisMonthPercentage, TRUE, FALSE); ?></h1>
			</div>
			<div class="uk-visible-small">
				<div class="uk-text-muted uk-text-small">This Month</div>
				<h2 class="uk-margin-remove <?php echo (($stats->trendsThisMonthPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsThisMonthPercentage, TRUE, FALSE); ?></h2>
			</div>
			<div style="height: 100px; margin: 0px -20px -20px -26px;" class="uk-hidden-small"><canvas id="rc-admin-stats-trends-this-month-large"></canvas></div>
			<div style="height: 50px; margin: 0px -20px -20px -26px;" class="uk-visible-small"><canvas id="rc-admin-stats-trends-this-month-small"></canvas></div>
		</div>
		<script>
			
			var dataTrendsThisMonth = {
				
				labels: [
					
					<?php
						
						foreach (array_reverse($stats->trendsThisMonth) as $month) {
							
							echo '\'\',';
							
						}
						
					?>
					
				],
				datasets: [

					{

						fillColor: 'rgba(151, 187, 205, 0.5)',
						strokeColor: 'rgba(151, 187, 205, 1)',
						data: [
							
							<?php
								
								foreach (array_reverse($stats->trendsThisMonth) as $month) {
									
									echo $month->Total . ',';
									
								}
								
							?>
							
						]

					}
				]
				
			};

			var optionsTrendsThisMonth = {
				
				responsive: true,
				scaleShowLabels: false,
				scaleLineColor : 'rgba(255, 255, 255, 0)',
				scaleFontSize: 0,
				scaleFontColor: 'rgba(255, 255, 255, 0)',
				scaleShowGridLines: false,
				pointDot: false,
				showTooltips: false,
				maintainAspectRatio: false,
				scaleBeginAtZero: true
				
			};
			
			new Chart($("#rc-admin-stats-trends-this-month-small").get(0).getContext("2d")).Line(dataTrendsThisMonth, optionsTrendsThisMonth);
			new Chart($("#rc-admin-stats-trends-this-month-large").get(0).getContext("2d")).Line(dataTrendsThisMonth, optionsTrendsThisMonth);
			
		</script>
	</div>
	<?php if (!$stats->trendsThisYearHide) { ?>
		<div>
			<div class="uk-panel uk-panel-box uk-panel-box uk-text-center">
				<div class="uk-hidden-small">
					<div class="uk-text-muted"><?php echo RCUtilities::$localization->admin->statsTrendsThisYear; ?></div>
					<h1 class="uk-margin-remove <?php echo (($stats->trendsThisYearPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsThisYearPercentage, TRUE, FALSE); ?></h1>
				</div>
				<div class="uk-visible-small">
					<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->statsTrendsThisYear; ?></div>
					<h2 class="uk-margin-remove <?php echo (($stats->trendsThisYearPercentage < 0) ? 'uk-text-danger' : 'uk-text-success'); ?> uk-text-bold"><?php echo RCUtilities::toPercentage($stats->trendsThisYearPercentage, TRUE, FALSE); ?></h2>
				</div>
				<div style="height: 100px; margin: 0px -20px -20px -26px;" class="uk-hidden-small"><canvas id="rc-admin-stats-trends-this-year-large"></canvas></div>
				<div style="height: 50px; margin: 0px -20px -20px -26px;" class="uk-visible-small"><canvas id="rc-admin-stats-trends-this-year-small"></canvas></div>
			</div>
			<script>
				
				var dataTrendsThisYear = {
					
					labels: [
						
						<?php
							
							foreach (array_reverse($stats->trendsThisYear) as $year) {
								
								echo '\'\',';
								
							}
							
						?>
						
					],
					datasets: [
	
						{
	
							fillColor: 'rgba(151, 187, 205, 0.5)',
							strokeColor: 'rgba(151, 187, 205, 1)',
							data: [
								
								<?php
									
									foreach (array_reverse($stats->trendsThisYear) as $year) {
										
										echo $year->Total . ',';
										
									}
									
								?>
								
							]
	
						}
					]
					
				};
	
				var optionsTrendsThisYear = {
					
					responsive: true,
					scaleShowLabels: false,
					scaleLineColor : 'rgba(255, 255, 255, 0)',
					scaleFontSize: 0,
					scaleFontColor: 'rgba(255, 255, 255, 0)',
					scaleShowGridLines: false,
					pointDot: false,
					showTooltips: false,
					maintainAspectRatio: false,
					scaleBeginAtZero: true
					
				};
				
				new Chart($("#rc-admin-stats-trends-this-year-small").get(0).getContext("2d")).Line(dataTrendsThisYear, optionsTrendsThisYear);
				new Chart($("#rc-admin-stats-trends-this-year-large").get(0).getContext("2d")).Line(dataTrendsThisYear, optionsTrendsThisYear);
				
			</script>
		</div>
	<?php } ?>
</div>
<div class="uk-margin-large-bottom">
	<div class="uk-panel">
		<h2 class="uk-text-center"><i class="uk-icon-shopping-basket"></i> <?php echo RCUtilities::$localization->admin->statsSales; ?></h2>
		<div style="height: 200px;" class="uk-hidden-small"><canvas id="rc-admin-stats-sales-large"></canvas></div>
		<div style="height: 100px;" class="uk-visible-small"><canvas id="rc-admin-stats-sales-small"></canvas></div>
	</div>
	<script>
		
		var dataSales = {

			labels: [
					
					<?php
						
						foreach (array_reverse($stats->sales) as $sale) {
							
							echo '\'' . $sale->Date . '\',';
							
						}
						
					?>
					
			],
			datasets: [
				
				{
		
					fillColor: 'rgba(151, 187, 205, 0.5)',
					strokeColor: 'rgba(151, 187, 205, 1)',
					pointColor: 'rgba(151, 187, 205, 0)',
					pointStrokeColor: 'rgba(255, 255, 255, 0)',
					pointHighlightFill: 'rgba(255, 255, 255, 1)',
					pointHighlightStroke: 'rgba(151, 187, 205, 1)',
					data: [
					
						<?php
							
							foreach (array_reverse($stats->sales) as $sale) {
								
								echo $sale->Total . ',';
								
							}
							
						?>
						
					],
					totalLocalized: [
					
						<?php
							
							foreach (array_reverse($stats->sales) as $sale) {
								
								echo '\'' . $sale->TotalLocalized . '\',';
								
							}
							
						?>
						
					],
					orders: [
					
						<?php
							
							foreach (array_reverse($stats->sales) as $sale) {
								
								echo '\'' . $sale->Orders . '\',';
								
							}
							
						?>
						
					]

				}
		
			]
		
		};

		var optionsSales = {
	
			responsive: true,
			maintainAspectRatio: false,
			scaleShowLabels: true,
			scaleShowGridLines: true,
			scaleLineColor : 'rgba(255, 255, 255, 0)',
			scaleFontSize: 0,
			scaleFontColor: 'rgba(255, 255, 255, 0)',
			pointHitDetectionRadius: 2,
			tooltipTemplate: function (value) {
				
				return value.label + ': ' + dataSales.datasets[0].totalLocalized[dataSales.labels.indexOf(value.label)] + ' (' + dataSales.datasets[0].orders[dataSales.labels.indexOf(value.label)] + ')';

			}
			
		};
		
		new Chart($("#rc-admin-stats-sales-small").get(0).getContext("2d")).Line(dataSales, optionsSales);
		new Chart($("#rc-admin-stats-sales-large").get(0).getContext("2d")).Line(dataSales, optionsSales);
		
	</script>
</div>
<div class="uk-grid uk-grid-width-1-1 uk-grid-width-medium-1-2" data-uk-grid-margin>
	<div>
		<div class="uk-panel">
			<h2 class="uk-text-center"><i class="uk-icon-cube"></i> <?php echo RCUtilities::$localization->admin->statsBestSeller; ?></h2>
			<div style="height: 200px;"><canvas id="rc-admin-stats-best-seller"></canvas></div>
		</div>
		<script>
			
			var dataBestSeller = [
				
				<?php
					
					$colors = array(
						
						array(247, 70, 74),
						array(70, 191, 189),
						array(253, 180, 92)
						
					);
					
					$i = 0;
					
					foreach ($stats->bestSeller as $product) {
						
						echo '{';
						echo 'value: ' . $product->count . ',';
						echo 'label: \'' . $product->name . '\',';
						echo 'color: \'rgba(' . $colors[$i][0] . ', ' . $colors[$i][1] . ', ' . $colors[$i][2] . ', 0.75)\',';
						echo 'highlight: \'rgba(' . $colors[$i][0] . ', ' . $colors[$i][1] . ', ' . $colors[$i][2] . ', 1)\',';
						echo 'totalLocalized: \'' . $product->totalLocalized . '\',';
						echo '},';
						
						$i++;
						
					}
					
				?>
				
			];
			
			var optionsBestSeller = {
			
				responsive: true,
				maintainAspectRatio: false,
				tooltipTemplate: function (value) {
					
					var result = $.grep(dataBestSeller, function (element) {
						
						return element.label == value.label;
						
					});
					
					return result[0].label + ': ' + result[0].totalLocalized;
	
				}
				
			};

			var chartBestSeller = new Chart($("#rc-admin-stats-best-seller").get(0).getContext("2d")).Doughnut(dataBestSeller, optionsBestSeller);
			
		</script>
	</div>
	<div>
		<div class="uk-panel">
			<h2 class="uk-text-center"><i class="uk-icon-calendar"></i> <?php echo RCUtilities::$localization->admin->statsBestWeekday; ?></h2>
			<div style="height: 200px;"><canvas id="rc-admin-stats-best-weekday"></canvas></div>
		</div>
		<script>
			
			var dataBestWeekday = {
				
				labels: [
				
					<?php
						
						foreach ($stats->bestWeekday as $day) {
							
							echo '\'' . $day->name . '\',';
							
						}
						
					?>
				
				],
				datasets: [
				
					{
						
						fillColor: 'rgba(151, 187, 205, 0.5)',
						highlightFill: 'rgba(151, 187,205, 1)',
						data: [
						
							<?php
								
								foreach ($stats->bestWeekday as $day) {
									
									echo $day->average . ',';
									
								}
								
							?>
							
						],
						averageLocalized: [
						
							<?php
								
								foreach ($stats->bestWeekday as $day) {
									
									echo '\'' . $day->averageLocalized . '\',';
									
								}
								
							?>
							
						]
						
					}
					
				]
				
			};
			
			var optionsBestWeekday = {
				
				responsive: true,
				maintainAspectRatio: false,
				scaleShowLabels: false,
				barValueSpacing : 10,
				barShowStroke: false,
				scaleLineColor : 'rgba(255, 255, 255, 0)',
				scaleShowHorizontalLines: false,
				scaleShowVerticalLines: false,
				tooltipTemplate: function (value) {
				
					return dataBestWeekday.datasets[0].averageLocalized[dataBestWeekday.labels.indexOf(value.label)];
	
				}
			
			};

			new Chart($("#rc-admin-stats-best-weekday").get(0).getContext("2d")).Bar(dataBestWeekday, optionsBestWeekday);
			
		</script>
	</div>
</div>