<div class="uk-thumbnail-<?php echo RCUtilities::$settings->product->gallerySize; ?> uk-container-center" data-uk-slideshow="{autoplay: <?php echo (RCUtilities::$settings->product->galleryAutoplay ? 'true' : 'false'); ?>, animation: '<?php echo RCUtilities::$settings->product->galleryAnimation; ?>', autoplayInterval: <?php echo (RCUtilities::$settings->product->galleryAutoplayInterval * 1000); ?>, kenburns: <?php echo (RCUtilities::$settings->product->galleryKenburnEffect ? 'true' : 'false'); ?>}" data-uk-margin>
	<ul class="uk-slideshow">
		<?php foreach ($images as $i => $image) { ?>
			<?php if (RCUtilities::$settings->product->skipFirstImage && $i == 0) { ?>
				<?php continue; ?>
			<?php } ?>
			<li class="uk-overlay uk-overlay-hover">
				<img src="<?php echo $image->thumbnailPath; ?>" alt="<?php echo $product; ?>">
				<?php if (RCUtilities::$settings->product->enableLightbox) { ?>
					<div class="uk-overlay-panel uk-overlay-background uk-overlay-icon uk-overlay-fade"></div>
					<a class="uk-position-cover" href="<?php echo $image->path; ?>" data-uk-lightbox="{group:'rc-product-lightbox'}" data-lightbox-type="<?php echo $image->type; ?>" title="<?php echo htmlentities($image->caption); ?>"></a>
				<?php } ?>
			</li>
		<?php } ?>
	</ul>
	<?php if (count($images) > 1) { ?>
		<ul class="uk-thumbnav uk-grid-width-1-5 rc-product-gallery-thumbnav">
			<?php foreach ($images as $i => $image) { ?>
				<?php if (RCUtilities::$settings->product->skipFirstImage && $i == 0) { ?>
					<?php continue; ?>
				<?php } ?>
				<li data-uk-slideshow-item="<?php echo (RCUtilities::$settings->product->skipFirstImage ? ($i - 1) : $i); ?>"><a href="#"><img src="<?php echo $image->thumbnailPath; ?>" alt="<?php echo $product; ?>"></a></li>
			<?php } ?>
		</ul>
	<?php } ?>
</div>