<div class="uk-text-right uk-margin-bottom">
	<button id="rc-admin-coupons-update-button" type="button" class="uk-button uk-button-large uk-button-danger" onclick="$('#rc-admin-coupons-form').submit();" disabled="disabled"><i class="uk-icon-save"></i> <?php echo RCUtilities::$localization->admin->couponsUpdate; ?></button>
</div>
<?php if (count($coupons) == 0) { ?>
	<h2 class="uk-text-center"><?php echo RCUtilities::$localization->admin->noCouponsError; ?></h2>
<?php } else { ?>
	<form class="uk-form" id="rc-admin-coupons-form" method="post">
		<table class="uk-table uk-table-hover uk-margin-top-remove">
			<tbody>
				<?php foreach ($coupons as $i => $coupon) { ?>
					<tr class="uk-table-middle">
						<td width="1">
							<?php if ($coupon->couponLimit <= 5) { ?>
								<i class="uk-icon-exclamation-triangle uk-text-danger"></i>
							<?php } else { ?>
								<i class="uk-icon-check uk-text-success"></i>
							<?php } ?>
						</td>
						<td>
							<div class="uk-text-bold"><?php echo $coupon->name; ?></div>
							<code><?php echo $coupon->couponCode; ?></code>
						</td>
						<td width="1">
							<input type="hidden" name="rc-admin-coupons[<?php echo $i; ?>][code]" value="<?php echo md5($coupon->couponCode); ?>">
							<input type="number" name="rc-admin-coupons[<?php echo $i; ?>][quantity]" class="uk-text-right <?php echo (($coupon->couponLimit <= 5) ? 'uk-form-danger' : ''); ?> rc-input-3-digits-size" value="<?php echo $coupon->couponLimit; ?>" min="0" onchange="RCkit.enableAdminCouponsUpdateButton();" <?php echo (($authType != 'write') ? 'readonly="readonly"' : ''); ?>>
						</td>
					</tr>
				<?php } ?>
			</tbody>
		</table>
	</form>
<?php } ?>