<?php if ($order === FALSE) { ?>
	<div class="uk-text-center uk-margin-large-top">
		<h2><?php echo RCUtilities::$localization->admin->orderNotFound; ?></h2>
	</div>
<?php } else { ?>
	<div class="uk-margin-bottom">
		<button class="uk-button uk-button-large" type="button" onclick="RCkit.goAdminBack();"><i class="uk-icon-chevron-left"></i> <?php echo RCUtilities::$localization->general->back; ?></button>
		<div class="uk-float-right">
			<a class="uk-button uk-button-large" href="<?php echo RCUtilities::getURL(array(0 => 'history', 1 => 'order', 2 => md5($order->ID . $order->CustomerEmail)), TRUE); ?>" target="_blank"><i class="uk-icon-link"></i> <?php echo RCUtilities::$localization->admin->orderLink; ?></a>
			<?php if ($authType == 'write') { ?>
				<button class="uk-button uk-button-large uk-button-danger" type="button" onclick="$('#rc-admin-order-form').submit();"><i class="uk-icon-save"></i></button>
			<?php } ?>
		</div>
	</div>
	<div class="uk-grid uk-grid-small" data-uk-grid-margin data-uk-grid-match="{target:'.rc-admin-order-column'}">
		<div class="uk-panel uk-width-1-1 uk-width-medium-1-3 uk-push-2-3 rc-admin-order-column">
			<form class="uk-form" id="rc-admin-order-form" method="post">
				<input type="hidden" name="ID" value="<?php echo $order->ID; ?>">
				<input type="hidden" name="status" value="<?php echo $order->Status; ?>" id="rc-admin-order-status">
				<div class="uk-grid uk-grid-small uk-grid-width-1-1" data-uk-grid-margin>
					<div>
						<div class="uk-panel uk-panel-box uk-panel-box-primary" id="rc-admin-order-status-box">
							<div class="uk-float-right">
								<?php if ($authType == 'write') { ?>
									<div class="uk-button-group" id="rc-admin-order-status-buttongroup">
										<button class="uk-button uk-button-primary" type="button" id="rc-admin-order-status-button">
											<?php if ($order->Status == 'completed') { ?>
												<i class="uk-icon-check uk-margin-small-right" id="rc-admin-order-status-button-icon"></i> <span id="rc-admin-order-status-button-label"><?php echo RCUtilities::$localization->admin->statusCompleted; ?></span>
											<?php } else if ($order->Status == 'to-ship') { ?>
												<i class="uk-icon-truck uk-margin-small-right" id="rc-admin-order-status-button-icon"></i> <span id="rc-admin-order-status-button-label"><?php echo RCUtilities::$localization->admin->statusToShip; ?></span>
											<?php } else if ($order->Status == 'refunded') { ?>
												<i class="uk-icon-undo uk-margin-small-right" id="rc-admin-order-status-button-icon"></i> <span id="rc-admin-order-status-button-label"><?php echo RCUtilities::$localization->admin->statusRefunded; ?></span>
											<?php } else if ($order->Status == 'cancelled') { ?>
												<i class="uk-icon-ban uk-margin-small-right" id="rc-admin-order-status-button-icon"></i> <span id="rc-admin-order-status-button-label"><?php echo RCUtilities::$localization->admin->statusCancelled; ?></span>
											<?php } ?>
										</button>
										<div data-uk-dropdown="{remaintime:250,justify:'#rc-admin-order-status-buttongroup'}">
											<button class="uk-button uk-button-primary" type="button"><i class="uk-icon-caret-down"></i></button>
											<div class="uk-dropdown uk-dropdown-small uk-dropdown-bottom">
												<ul class="uk-nav uk-nav-dropdown">
													<li onclick="RCkit.setAdminOrderStatus(this);" data-rc-admin-order-status="completed" data-rc-admin-order-status-label="<?php echo RCUtilities::$localization->admin->statusCompleted; ?>"><a href="#"><i class="uk-icon-check uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCompleted; ?></a></li>
													<li onclick="RCkit.setAdminOrderStatus(this);" data-rc-admin-order-status="to-ship" data-rc-admin-order-status-label="<?php echo RCUtilities::$localization->admin->statusToShip; ?>"><a href="#"><i class="uk-icon-truck uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusToShip; ?></a></li>
													<li onclick="RCkit.setAdminOrderStatus(this);" data-rc-admin-order-status="refunded" data-rc-admin-order-status-label="<?php echo RCUtilities::$localization->admin->statusRefunded; ?>"><a href="#"><i class="uk-icon-undo uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusRefunded; ?></a></li>
													<li onclick="RCkit.setAdminOrderStatus(this);" data-rc-admin-order-status="cancelled" data-rc-admin-order-status-label="<?php echo RCUtilities::$localization->admin->statusCancelled; ?>"><a href="#"><i class="uk-icon-ban uk-icon-justify uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCancelled; ?></a></li>
												</ul>
											</div>
										</div>
									</div>
								<?php } else { ?>
									<button class="uk-button" type="button">
										<?php if ($order->Status == 'completed') { ?>
											<i class="uk-icon-check uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCompleted; ?>
										<?php } else if ($order->Status == 'to-ship') { ?>
											<i class="uk-icon-truck uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusToShip; ?>
										<?php } else if ($order->Status == 'refunded') { ?>
											<i class="uk-icon-undo uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusRefunded; ?>
										<?php } else if ($order->Status == 'cancelled') { ?>
											<i class="uk-icon-ban uk-margin-small-right"></i> <?php echo RCUtilities::$localization->admin->statusCancelled; ?>
										<?php } ?>
									</button>
								<?php } ?>
							</div>
							<h3 class="uk-panel-title uk-margin-remove"><i class="uk-icon-dot-circle-o"></i> <?php echo RCUtilities::$localization->admin->orderStatus; ?></h3>
						</div>
					</div>
					<div>
						<div class="uk-panel uk-panel-box">
							<table class="uk-width-1-1">
								<tbody>
									<tr>
										<td><h3 class="uk-panel-title uk-margin-remove"><i class="uk-icon-money"></i> <?php echo RCUtilities::$localization->admin->orderRefund; ?></h3></td>
										<td class="uk-text-small uk-text-bold uk-text-center" width="1"><?php echo RCUtilities::$localization->admin->orderPaid; ?></td>
										<td class="uk-text-small uk-text-bold uk-text-center" width="1"><?php echo RCUtilities::$localization->admin->orderRefunded; ?></td>
										<td class="uk-text-small uk-text-bold uk-text-center" width="1"><?php echo RCUtilities::$localization->cart->total; ?></td>
									</tr>
									<tr>
										<td class="uk-text-bold"><?php echo RCUtilities::$localization->cart->subtotal; ?></td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-subtotal-paid"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round($order->Subtotal + $order->OptionsPrice + $order->ShippingPrice + $order->PaymentPrice, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-subtotal-refunded"
												name="subtotal"
												class="<?php echo (($authType == 'read') ? 'uk-form-blank' : ''); ?> rc-input-7-digits-size uk-text-danger"
												value="<?php echo number_format(round($order->SubtotalRefunded, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												onkeyup="RCkit.setAdminOrderRefund();"
												autocomplete="off"
												<?php echo (($authType == 'read') ? 'readonly="readonly"' : ''); ?>
												<?php echo (($order->Status != 'refunded') ? 'disabled="disabled"' : ''); ?>
											>
											</td>
										<td class="uk-text-center uk-text-bold">
											<input
												type="text"
												id="rc-admin-order-subtotal-result"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round(($order->Subtotal + $order->OptionsPrice + $order->ShippingPrice + $order->PaymentPrice - $order->SubtotalRefunded), RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
									</tr>
									<tr>
										<td class="uk-text-bold"><?php echo RCUtilities::$localization->cart->taxes; ?></td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-taxes-paid"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round($order->Taxes, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-taxes-refunded"
												name="taxes"
												class="<?php echo (($authType == 'read') ? 'uk-form-blank' : ''); ?> rc-input-7-digits-size uk-text-danger"
												value="<?php echo number_format(round($order->TaxesRefunded, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												onkeyup="RCkit.setAdminOrderRefund();"
												autocomplete="off"
												<?php echo (($authType == 'read') ? 'readonly="readonly"' : ''); ?>
												<?php echo (($order->Status != 'refunded') ? 'disabled="disabled"' : ''); ?>
											>
										</td>
										<td class="uk-text-center uk-text-bold">
											<input
												type="text"
												id="rc-admin-order-taxes-result"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round(($order->Taxes - $order->TaxesRefunded), RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
									</tr>
									<tr>
										<td class="uk-text-bold"><?php echo RCUtilities::$localization->cart->total; ?></td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-total-paid"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round($order->Total, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
										<td class="uk-text-center">
											<input
												type="text"
												id="rc-admin-order-total-refunded"
												class="uk-form-blank rc-input-7-digits-size uk-text-danger"
												value="<?php echo number_format(round($order->TotalRefunded, RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
										<td class="uk-text-center uk-text-bold">
											<input
												type="text"
												id="rc-admin-order-total-result"
												class="uk-form-blank rc-input-7-digits-size"
												value="<?php echo number_format(round(($order->Total - $order->TotalRefunded), RCUtilities::$localization->currency->decimals), RCUtilities::$localization->currency->decimals); ?>"
												readonly="readonly"
											>
										</td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
					<div>
						<div class="uk-panel uk-panel-box">
							<h3 class="uk-panel-title"><i class="uk-icon-sticky-note-o"></i> <?php echo RCUtilities::$localization->admin->orderNotes; ?></h3>
							<textarea name="notes" class="uk-width-1-1" rows="3"><?php echo $order->Notes; ?></textarea>
						</div>
					</div>
				</div>
			</form>
		</div>
		<div class="uk-width-1-1 uk-width-medium-1-3 uk-pull-1-3">
			<div class="uk-panel uk-panel-box rc-admin-order-column">
				<h3 class="uk-panel-title"><i class="uk-icon-file-text-o"></i> <?php echo RCUtilities::$localization->order->details; ?></h3>
				<dl class="uk-description-list-horizontal uk-margin-remove">
					<dt><?php echo RCUtilities::$localization->order->number; ?></dt>
					<dd><?php echo $order->ID; ?></dd>
					<?php if (RCUtilities::$settings->cart->acceptCouponCodes && $order->Coupon != '') { ?>
						<dt><?php echo RCUtilities::$localization->cart->couponCode; ?></dt>
						<dd><?php echo $order->Coupon; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->order->date; ?></dt>
					<dd><?php echo date('Y-m-d H:i', strtotime($order->Date . ' UTC')); ?></dd>
					<?php foreach ($order->Options as $option) { ?>
						<dt><?php echo $option->name; ?></dt>
						<dd><?php echo implode(', ', $option->values); ?></dd>
					<?php } ?>
					<?php if ($order->Shippable) { ?>
						<dt><?php echo RCUtilities::$localization->cart->shipping; ?></dt>
						<dd><?php echo $order->ShippingName; ?></dd>
					<?php } ?>
					<?php if ($order->Weight > 0) { ?>
						<dt><?php echo RCUtilities::$localization->cart->weight; ?></dt>
						<dd><?php echo $order->Weight; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->cart->payment; ?></dt>
					<dd><?php echo $order->PaymentName; ?></dd>
					<?php if (!empty($order->TransactionID)) { ?>
						<dt><?php echo RCUtilities::$localization->order->transactionID; ?></dt>
						<dd>
							<?php echo $order->TransactionID; ?>
							<?php if ($order->PaymentType == 'stripe') { ?>
								<a href="https://dashboard.stripe.com/payments/<?php echo $order->TransactionID; ?>" target="_blank"><i class="uk-icon-hover uk-icon-cc-stripe"></i></a>
							<?php } else if ($order->PaymentType == 'paypal') { ?>
								<a href="https://<?php echo (RCUtilities::$settings->payments->paypal->sandbox ? 'sandbox' : 'www'); ?>.paypal.com/cgi-bin/webscr?cmd=_view-a-trans&id=<?php echo $order->TransactionID; ?>" target="_blank"><i class="uk-icon-hover uk-icon-cc-paypal"></i></a>
							<?php } ?>
						</dd>
					<?php } ?>
					<?php if (!empty($order->Referrer)) { ?>
						<dt><?php echo RCUtilities::$localization->cart->referrer; ?></dt>
						<dd><?php echo $order->Referrer; ?></dd>
					<?php } ?>
				</dl>
			</div>
		</div>
		<div class="uk-width-1-1 uk-width-medium-1-3 uk-pull-1-3">
			<div class="uk-panel uk-panel-box rc-admin-order-column">
				<h3 class="uk-panel-title"><i class="uk-icon-user"></i> <?php echo RCUtilities::$localization->cart->address; ?></h3>
				<dl class="uk-description-list-horizontal uk-margin-remove">
					<dt><?php echo RCUtilities::$localization->customer->name; ?></dt>
					<dd><?php echo $order->CustomerName; ?></dd>
					<dt><?php echo RCUtilities::$localization->customer->emailAddress; ?></dt>
					<dd><?php echo $order->CustomerEmail; ?></dd>
					<?php if (!empty($order->CustomerStreet) || !empty($order->CustomerZIPCode) || !empty($order->CustomerCity)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->address; ?></dt>
						<dd>
							<?php echo (!empty($order->CustomerStreet) ? ($order->CustomerStreet . '<br>') : ''); ?>
							<?php echo ((!empty($order->CustomerZIPCode) ? ($order->CustomerZIPCode . ' ') : '') . $order->CustomerCity); ?>
						</dd>
					<?php } ?>
					<?php if (!empty($order->CustomerState)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->state; ?></dt>
						<dd><?php echo $order->CustomerState; ?></dd>
					<?php } ?>
					<dt><?php echo RCUtilities::$localization->customer->country; ?></dt>
					<dd><?php echo $order->CustomerCountry; ?></dd>
					<?php if (!empty($order->CustomerCompany)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->company; ?></dt>
						<dd><?php echo $order->CustomerCompany; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerVATID)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->VATID; ?></dt>
						<dd>
							<?php echo $order->CustomerCountryCode; ?>-<?php echo $order->CustomerVATID; ?>
							<a class="uk-icon-hover uk-icon-<?php echo $order->CustomerVATIDVerified ? 'info-circle' : 'exclamation-triangle'; ?>" href="http://ec.europa.eu/taxation_customs/vies/vatResponse.html?memberStateCode=<?php echo $order->CustomerCountryCode; ?>&number=<?php echo $order->CustomerVATID; ?>" title="<?php echo $order->CustomerVATIDVerified ? 'Verified by VIES' : 'Not verified by VIES'; ?>" target="_blank" data-uk-tooltip></a>
						</dd>
					<?php } ?>
					<?php if (!empty($order->CustomerPhone)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->phone; ?></dt>
						<dd><?php echo $order->CustomerPhone; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField1)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField1; ?></dt>
						<dd><?php echo $order->CustomerCustomField1; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField2)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField2; ?></dt>
						<dd><?php echo $order->CustomerCustomField2; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField3)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField3; ?></dt>
						<dd><?php echo $order->CustomerCustomField3; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField4)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField4; ?></dt>
						<dd><?php echo $order->CustomerCustomField4; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField5)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField5; ?></dt>
						<dd><?php echo $order->CustomerCustomField5; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField6)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField6; ?></dt>
						<dd><?php echo $order->CustomerCustomField6; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField7)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField7; ?></dt>
						<dd><?php echo $order->CustomerCustomField7; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField8)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField8; ?></dt>
						<dd><?php echo $order->CustomerCustomField8; ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField9)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField9; ?></dt>
						<dd><?php echo nl2br($order->CustomerCustomField9); ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerCustomField10)) { ?>
						<dt><?php echo RCUtilities::$localization->customer->customField10; ?></dt>
						<dd><?php echo nl2br($order->CustomerCustomField10); ?></dd>
					<?php } ?>
					<?php if (!empty($order->CustomerIP)) { ?>
						<dt>IP</dt>
						<dd>
							<?php echo $order->CustomerIP; ?>
							<?php if ($order->location !== FALSE) { ?>
								<a class="uk-icon-hover uk-icon-map-marker" href="http://maps.google.com/?q=<?php echo $order->location; ?>" target="_blank" style="text-decoration: none;"></a>
							<?php } ?>
						</dd>
					<?php } ?>
				</dl>
			</div>
		</div>
	</div>
	<table class="uk-table uk-table-hover">
		<thead>
			<tr>
				<th class="uk-hidden-small rc-cart-image-column"></th>
				<th><?php echo RCUtilities::$localization->cart->product; ?></th>
				<th width="75" class="uk-text-right"><?php echo RCUtilities::$localization->cart->price; ?></th>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($order->Items as $i => $item) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"><a class="rc-cropped-product-image" href="<?php echo $item->product->link; ?>" style="background-image: url('<?php echo $item->product->image; ?>');" target="_blank"></a></td>
					<td class="uk-text-nowrap">
						<div class="uk-text-bold">
							<?php echo $item->quantity; ?> × <a href="<?php echo $item->product->link; ?>" target="_blank"><?php echo $item->product->name; ?></a>
						</div>
						<div><?php echo $item->product->version; ?> <span class="uk-text-muted">(<?php echo $item->product->SKU; ?>)</span></div>
						<div class="uk-text-bold"><?php echo RCUtilities::toCurrency($item->product->price); ?></div>
						<?php if (!empty($item->product->options)) { ?>
							<dl class="uk-description-list-horizontal uk-margin-top">
								<?php foreach ($item->product->options as $option) { ?>
									<?php if (!empty($option->values)) { ?>
										<dt><?php echo $option->name; ?></dt>
										<dd><?php echo implode(', ', $option->values); ?></dd>
									<?php } ?>
								<?php } ?>
							</div>
						<?php } ?>
					</td>
					<td class="uk-text-right uk-text-nowrap"><?php echo RCUtilities::toCurrency($item->product->price * $item->quantity); ?></td>
				</tr>
			<?php } ?>
			<?php foreach ($order->Costs->list as $cost) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td><?php echo $cost->description; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($cost->price < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($cost->price); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->OptionsPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td><?php echo RCUtilities::$localization->cart->options; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->OptionsPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->OptionsPrice); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->ShippingPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td><?php echo RCUtilities::$localization->cart->shipping; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->ShippingPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->ShippingPrice); ?></td>
				</tr>
			<?php } ?>
			<?php if ($order->PaymentPrice != 0) { ?>
				<tr class="uk-table-middle">
					<td class="uk-hidden-small"></td>
					<td><?php echo RCUtilities::$localization->cart->payment; ?></td>
					<td class="uk-text-right uk-text-nowrap <?php echo (($order->PaymentPrice < 0) ? 'uk-text-danger' : ''); ?>"><?php echo RCUtilities::toCurrency($order->PaymentPrice); ?></td>
				</tr>
			<?php } ?>
		</tbody>
		<thead>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right">
					<?php echo RCUtilities::$localization->cart->subtotal; ?>:
					<?php if ($order->SubtotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Subtotal + $order->OptionsPrice + $order->ShippingPrice + $order->PaymentPrice - $order->SubtotalRefunded, FALSE, FALSE); ?>
					<?php if ($order->SubtotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Subtotal); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->SubtotalRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right">
					<?php echo RCUtilities::$localization->cart->taxes; ?>:
					<?php if ($order->TaxesRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Taxes - $order->TaxesRefunded, FALSE, FALSE); ?>
					<?php if ($order->TaxesRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Taxes); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->TaxesRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
			<tr class="uk-table-middle">
				<th class="uk-hidden-small"></th>
				<th class="uk-text-right">
					<?php echo RCUtilities::$localization->cart->total; ?>:
					<?php if ($order->TotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderPaid; ?>:</div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::$localization->admin->orderRefunded; ?>:</div>
					<?php } ?>
				</th>
				<th class="uk-text-right uk-text-nowrap">
					<?php echo RCUtilities::toCurrency($order->Total - $order->TotalRefunded, FALSE, FALSE); ?>
					<?php if ($order->TotalRefunded > 0) { ?>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->Total); ?></div>
						<div class="uk-text-muted uk-text-small"><?php echo RCUtilities::toCurrency($order->TotalRefunded); ?></div>
					<?php } ?>
				</th>
			</tr>
		</thead>
	</table>
<?php } ?>